Subject: Re: [multimob] MIPL Based Multicast

From: "Jong-Hyouk Lee" <[email-masked]>
Date: Fri, 1 Jun 2007 10:45:26 +0200

Dear colleague.

I agree with you. MIPL is a nice implementation for MIPv6. Absolutely,
right. But, I just want to ask to Tony, what's the plan to implement for
mobile multicast? I'm also interested in the implementation for mobile
multicast.

Cheers.

On 5/29/07, Shariq Haseeb <[email-masked]> wrote:
>
>  Hi Jong-Hyouk,
>
> I would just like to give my comments on Multicast and MIPL. I have done
> some work on mobile multicast with MIPL. What specific areas or applications
> of multicast are you interested in?
>
> MIPL is a good implementation. I feel it is a very stable MIPv6
> implementation.
>
> Rgds,
> Shariq
>
> ------------------------------
> *From:* [email-masked]
> *Sent:* Tue 5/29/2007 3:11 PM
> *To:* [email-masked]
> *Subject:* multimob Digest, Vol 2, Issue 7
>
>
>
> Send multimob mailing list submissions to
> 	[email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www1.ietf.org/mailman/listinfo/multimob
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
>
> You can reach the person managing the list at
> 	[email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of multimob digest..."
>
>
> Today's Topics:
>
>    1. Re:  Re: multimob Digest, Vol 2, Issue 4 (Jong-Hyouk Lee)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Tue, 29 May 2007 16:11:35 +0900
> From: "Jong-Hyouk Lee" <[email-masked]>
> Subject: Re: [multimob] Re: multimob Digest, Vol 2, Issue 4
> To: [email-masked]
> Cc: [email-masked]
> Message-ID:
> 	<[email-masked]>
> Content-Type: text/plain; charset="iso-8859-1"
>
> Dear Tony.
>
> I'd like to ask you. In the previous e-mail, you mentioned that your group
> is working on implementation of mobile multicast in real appilication. Is it
> based on MIPL stack? Is there any specific documents or guideline? I don't
> think so.
>
> What is your guideline? I just want to know because I seem to have forgotten
> big one.
>
> Cheers.
>
>
> On 5/28/07, Tony <[email-masked]> wrote:
> >
> >
> > >Message: 1
> > >Date: Thu, 24 May 2007 16:05:48 +0300
> > >From: "Decoy M" <[email-masked]>
> > >Subject: Re: [multimob] What is multicast mobility?
> > >To: "Alexandru Petrescu" <[email-masked]>
> > >Cc: [email-masked]
> > >Message-ID:
> > >       <[email-masked]>
> > >Content-Type: text/plain; charset="iso-8859-1"
> > >
> > >On 5/24/07, Alexandru Petrescu <[email-masked]> wrote:
> > >>
> > >> Behcet Sarikaya wrote:
> > >> > Hello Folks, Suresh, Thomas and I initiated this activity and now I
> > >> > would like to propose a work plan and get your comments and
> > >> > reactions.
> > >> >
> > >> > Item 1. Work on MLDv2 extensions. This work will concentrate on the
> > >> > router part and will involve how to track per-host multicast listener
> > >> > status and build per host context. Per host multicast listener
> > >> > context block, etc. will be defined.
> > >>
> > >> Sorry, isn't MLDv2 router implementation already keeping track of
> > >> listener status?
> > >
> > >
> > >[Decoy] I think most of th routers doesnt keep track of the indivisual
> > >multicast listeners but they just check whether some bosyis interested in
> > >the multicast channel or not. So explicit Host tracking may not be
> > required.
> > >This requires table maintainance and other work as each and every Host
> > >information needs to be stored and maintained.
> > >
> > >> Item 2. Base protocol MIPv6 extensions on handling multicast sessions
> > >> > such as bandwidth inefficiency inherent in the home agent's
> > >> > unicasting multicast packets through the tunnel.
> > >>
> > >> What could the HA do?  Not unicast the multicast packets through the
> > >> tunnel?
> >        HA can record the MN information and maintain MN's MLD state etc.
> > Forwarding
> > the multicast data through unicast tunnel is just one mobile multicast
> > scheme.
> > >> > Item 3. Handoff survival of local (at a foreign link) multicast
> > >> > sessions will be taken up in the context of care-of address based
> > >> > multicast group subscriptions.
> > >>
> > >> What's the influence of re-subscribing a new CoA upon each movement, on
> > >> the infrastructure routing?
> >   If the New AR which MN attached has the multicast group state that MN
> > subscribed, the
> > multicast disruption time is short (100~200ms). while if New AR doesn't
> > have the group
> > states, it will take a long time to rejoin the groups.
> >
> >        Our group is working on implementation of mobile multicast in real
> > appilication recently.
> > Welcome everyone to discuss.
> > >> Alex
> > >>
> > >>
> > >> ______________________________________________________________________
> > >> This email has been scanned by the MessageLabs Email Security System.
> > >> For more information please visit http://www.messagelabs.com/email
> > >> ______________________________________________________________________
> > >>
> > >> _______________________________________________
> > >> multimob mailing list
> > >> [email-masked]
> > >> https://www1.ietf.org/mailman/listinfo/multimob
> > >>
> > >-------------- next part --------------
> > >An HTML attachment was scrubbed...
> > >URL:
> > http://www1.ietf.org/pipermail/multimob/attachments/20070524/e38c0354/attachment.html
> > >
> > >------------------------------
> > >
> > >_______________________________________________
> > >multimob mailing list
> > >[email-masked]
> > >https://www1.ietf.org/mailman/listinfo/multimob
> > >
> > >
> > >End of multimob Digest, Vol 2, Issue 4
> > >**************************************
> > >
> >
> > = = = = = = = = = = = = = = = = = = = =
> >
> > Tony
> > [email-masked]
> > 2007-05-28
> > +--------------------------------------+
> > |      NGIRC, Beijing JiaoTong University      |
> > |      BeiJing, China,100044                           |
> > |      Http://www.njtu.edu.cn <http://www.njtu.edu.cn/>                          |
> > +--------------------------------------+
> >
> >
> > _______________________________________________
> > multimob mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/multimob
> >
> >
>
>
> --
> Internet Management Technology Lab, Sungkyunkwan University.
> Jong-Hyouk Lee.
>
> #email: jonghyouk (at) gmail (dot) com
> #webpage: http://www.hurryon.org
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: http://www1.ietf.org/pipermail/multimob/attachments/20070529/7a18fc90/attachment.html
>
> ------------------------------
>
> _______________________________________________
> multimob mailing [email-masked]://www1.ietf.org/mailman/listinfo/multimob
>
>
> End of multimob Digest, Vol 2, Issue 7
> **************************************
>
> ------------------------------------------------------------------
> -
> -
> -
> DISCLAIMER:
>
> This e-mail (including any attachments) may contain confidential
> information. If you are not the intended recipient, you are hereby
> notified that any dealing, review, distribution, printing, copying
> or use of this e-mail is strictly prohibited. If you have received
> this email in error, please notify the sender or MIMOS Berhad
> immediately and delete the original message. Opinions, conclusions
> and other information in this e-mail that do not relate to the
> official business of MIMOS Berhad and/or its subsidiaries shall be
> understood as neither given nor endorsed by MIMOS Berhad and/or its
> subsidiaries and neither MIMOS Berhad nor its subsidiaries accepts
> responsibility for the same. All liability arising from or in
> connection with computer viruses and/or corrupted e-mails is
> excluded to the fullest extent permitted by law.
>
>
> _______________________________________________
> multimob mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/multimob
>
>

-- 
Internet Management Technology Lab, Sungkyunkwan University.
Jong-Hyouk Lee.

#email: jonghyouk (at) gmail (dot) com
#webpage: http://www.hurryon.org
_______________________________________________
multimob mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/multimob